# General

To customize the look and feel of Vueless and modify the default library configuration, use the `vueless.config.{js,ts}` file, which should be placed in the root of your project.

***

## Colors

Components are based on a `primary` color and `neutral` color.

<pre class="language-js" data-title="vueless.config.{js,ts}"><code class="lang-js">export default {
  primary: "blue",
  neutral: "stone",
}<a data-footnote-ref href="#user-content-fn-1">;</a>
</code></pre>

Vueless uses Tailwind CSS under the hood, so you can use any of the [Tailwind CSS colors](https://tailwindcss.com/docs/customizing-colors#color-palette-reference) or your own custom colors. See [Colors](/global-customization/colors.md) chapter for more details.

***

## Rounding

Use the `rounding` key to simultaneously apply a border radius to all components.

<pre class="language-js" data-title="vueless.config.{js,ts}"><code class="lang-js">export default {
  rounding: 6, /* px */
}<a data-footnote-ref href="#user-content-fn-1">;</a>
</code></pre>

See [Rounding](/global-customization/rounding.md) chapter for more details.

***

## Focus Outline

Use the `outline` key to simultaneously apply a focus outline ring to all components.

<pre class="language-js" data-title="vueless.config.{js,ts}"><code class="lang-js">export default {
  outline: 4, /* px */
}<a data-footnote-ref href="#user-content-fn-1">;</a>
</code></pre>

See [Focus Outline](#focus-outline) chapter for more details.

***

## Font Size

Use the `fontSize` key to simultaneously apply a font size to all components.

<pre class="language-js" data-title="vueless.config.{js,ts}"><code class="lang-js">export default {
  fontSize: 16, /* px */
}<a data-footnote-ref href="#user-content-fn-1">;</a>
</code></pre>

See [Font Size](/global-customization/font-size.md) chapter for more details.

***

## Letter Spacing

Use the `letterSpacing` key to simultaneously apply letter spacing to all components.

{% code title="vueless.config.{js,ts}" %}

```js
export default {
  letterSpacing: 0.025, /* em */
};
```

{% endcode %}

See [Letter Spacing](/global-customization/letter-spacing.md) chapter for more details.

## Disabled Opacity

You can set the components disabled state opacity globally for related Vueless components.

<pre class="language-js" data-title="vueless.config.{js,ts}"><code class="lang-js">export default {
  disabledOpacity: 40, /* percent, % */
}<a data-footnote-ref href="#user-content-fn-1">;</a>
</code></pre>

See [Disabled Opacity ](/global-customization/disabled-opacity.md)chapter for more details.

***

## Dark mode

Use the `colorMode` key to define dark / light modes for all components.

<pre class="language-js" data-title="vueless.config.{js,ts}"><code class="lang-js">export default {
  colorMode: "dark", /* dark | light | auto */
}<a data-footnote-ref href="#user-content-fn-1">;</a>
</code></pre>

See [Dark mode](/global-customization/dark-mode.md) chapter for more details.

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vueless.com/global-customization/general.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
